let
  pkgs = import <nixpkgs> {};
in
  pkgs.stdenv.mkDerivation {
    name = "jupyter-shell";
    buildInputs = [
      (pkgs.python3.withPackages (p: [p.virtualenv]))
    ];
    # In order to run jupyter-lab from pypi, we need to provide it
    # with libdstc++.so.6.
    shellHook = ''
      export LD_LIBRARY_PATH="${pkgs.stdenv.cc.cc.lib}/lib"
      source venv/bin/activate
    '';
  }
